Interface PlatformHttpEndpointBuilderFactory.PlatformHttpBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
PlatformHttpEndpointBuilderFactory
public static interface PlatformHttpEndpointBuilderFactory.PlatformHttpBuilders
-
Method Summary
Modifier and TypeMethodDescriptionplatformHttp(String path) Platform HTTP (camel-platform-http) Expose HTTP endpoints using the HTTP server available in the current platform.platformHttp(String componentName, String path) Platform HTTP (camel-platform-http) Expose HTTP endpoints using the HTTP server available in the current platform.
-
Method Details
-
platformHttp
Platform HTTP (camel-platform-http) Expose HTTP endpoints using the HTTP server available in the current platform. Category: http Since: 3.0 Maven coordinates: org.apache.camel:camel-platform-http Syntax:platform-http:pathPath parameter: path (required) The path under which this endpoint serves the HTTP requests, for proxy use 'proxy'- Parameters:
path- path- Returns:
- the dsl builder
-
platformHttp
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder platformHttp(String componentName, String path) Platform HTTP (camel-platform-http) Expose HTTP endpoints using the HTTP server available in the current platform. Category: http Since: 3.0 Maven coordinates: org.apache.camel:camel-platform-http Syntax:platform-http:pathPath parameter: path (required) The path under which this endpoint serves the HTTP requests, for proxy use 'proxy'- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- path- Returns:
- the dsl builder
-